#
# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	1
%define		basever	20210629
%define		snap	20221217
%define		pname	rtl8812au
Summary:	Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter
Name:		%{pname}%{_alt_kernel}
Version:	5.13.6.%{snap}
Epoch:		2
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL
Group:		Base/Kernel
Source0:	https://github.com/morrownr/8812au-%{basever}/archive/main/%{pname}-%{version}.tar.gz
# Source0-md5:	636af61ad3f8a0d55fa7846fb84497b3
# good luck finding this chip on Realtek website :/
#URL:		http://www.realtek.com.tw/
URL:		https://github.com/morrownr/8812au
BuildRequires:	rpmbuild(macros) >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{pname}-%{version}-root-%(id -u -n)

%description
Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-rtl8812au\
Summary:	Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-net-rtl8812au\
Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter\
\
%files -n kernel%{_alt_kernel}-net-rtl8812au\
%defattr(644,root,root,755)\
%doc README.md\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/wireless/*.ko*\
\
%post	-n kernel%{_alt_kernel}-net-rtl8812au\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-rtl8812au\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%{__make} clean KVER=%{_kernel_ver} KSRC=%{_kernelsrcdir}\
%{__make} modules KVER=%{_kernel_ver} KSRC=%{_kernelsrcdir}\
%install_kernel_modules -D installed -m 8812au -d kernel/drivers/net/wireless\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n 8812au-%{basever}-main

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Fri Dec 23 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rtl8812au.git;a=log;h=auto/th/rtl8812au-5.13.6.20221217-1

* Sat Dec 17 2022 Jan Rękorajski <baggins@pld-linux.org> e8c7da1
- updated to latest snap with fixes for kernel 6.1

* Sun Aug 28 2022 Jan Rękorajski <baggins@pld-linux.org> 043f8ec
- updated to latest snap with fixes for kernels 5.19 and 6.0

* Sat Apr 02 2022 Jan Rękorajski <baggins@pld-linux.org> 87da6a4
- up to 5.13.6

* Sun Nov 07 2021 Jan Rękorajski <baggins@pld-linux.org> 9355b06
- no IPX in kernel 5.15, rel 2

* Tue May 04 2021 Jan Rękorajski <baggins@pld-linux.org> 86b3b0a
- it's 2021...

* Mon May 03 2021 Jan Rękorajski <baggins@pld-linux.org> 75a597a
- fix snap date

* Mon May 03 2021 Jan Rękorajski <baggins@pld-linux.org> 3168385
- updated to latest snapshot with support for kernels up to 5.12

* Thu Feb 25 2021 Jan Rękorajski <baggins@pld-linux.org> ab7adb6
- fix building with kernl 5.11
- rel 2

* Fri Dec 18 2020 Jan Rękorajski <baggins@pld-linux.org> c044590
- up to 5.9.3.2

* Mon Aug 17 2020 Jan Rękorajski <baggins@pld-linux.org> 4f8c5a1
- restore epoch 2, rel 3

* Mon Aug 17 2020 Jan Rękorajski <baggins@pld-linux.org> 33b76a0
- rel 2

* Mon Aug 17 2020 Jan Rękorajski <baggins@pld-linux.org> 597e059
- fix version confiusion

* Sun Aug 16 2020 Jan Rękorajski <baggins@pld-linux.org> f2dafbc
- move snap into version to avoid confisung rpm

* Sun Aug 16 2020 Jan Rękorajski <baggins@pld-linux.org> c865d7e
- updated to latest snapshot

* Sat Apr 04 2020 Jan Rękorajski <baggins@pld-linux.org> e3760a1
- up to 5.6.4.2

* Fri Jul 12 2019 Jan Rękorajski <baggins@pld-linux.org> 4b50b2c
- fix building with kernel 5.2
- rel 3

* Tue May 07 2019 Jan Rękorajski <baggins@pld-linux.org> c54a2f3
- fix building with kernel 5.1
- rel 2

* Sat Mar 09 2019 Jan Rękorajski <baggins@pld-linux.org> eb93d61
- new snap for kernel 5.0

* Wed Jan 02 2019 Jan Rękorajski <baggins@pld-linux.org> a45a5d1
- release 2 (by relup.sh)

* Wed Jan 02 2019 Jan Rękorajski <baggins@pld-linux.org> 63b7820
- epoch 2

